003 File Manager
Current Path:
/usr/src/contrib/libevent/test
usr
/
src
/
contrib
/
libevent
/
test
/
📁
..
📄
Makefile.nmake
(2.47 KB)
📄
bench.c
(4.9 KB)
📄
bench_cascade.c
(4.56 KB)
📄
bench_http.c
(4.9 KB)
📄
bench_httpclient.c
(5.87 KB)
📄
check-dumpevents.py
(1.52 KB)
📄
include.am
(4.77 KB)
📄
regress.c
(82.29 KB)
📄
regress.gen.c
(27.05 KB)
📄
regress.gen.h
(6.58 KB)
📄
regress.h
(4.95 KB)
📄
regress.rpc
(465 B)
📄
regress_buffer.c
(71.76 KB)
📄
regress_bufferevent.c
(38.97 KB)
📄
regress_dns.c
(61.06 KB)
📄
regress_et.c
(5.9 KB)
📄
regress_finalize.c
(8.64 KB)
📄
regress_http.c
(124.15 KB)
📄
regress_iocp.c
(8.78 KB)
📄
regress_listener.c
(7.16 KB)
📄
regress_main.c
(11.54 KB)
📄
regress_minheap.c
(2.92 KB)
📄
regress_rpc.c
(19.58 KB)
📄
regress_ssl.c
(23.56 KB)
📄
regress_testutils.c
(6.37 KB)
📄
regress_testutils.h
(2.54 KB)
📄
regress_thread.c
(14.65 KB)
📄
regress_thread.h
(2.09 KB)
📄
regress_util.c
(37.67 KB)
📄
regress_zlib.c
(8.59 KB)
📄
rpcgen_wrapper.sh
(1.45 KB)
📄
test-changelist.c
(5.77 KB)
📄
test-closed.c
(3.24 KB)
📄
test-dumpevents.c
(5.56 KB)
📄
test-eof.c
(3.03 KB)
📄
test-fdleak.c
(6.81 KB)
📄
test-init.c
(2.1 KB)
📄
test-ratelim.c
(16.74 KB)
📄
test-time.c
(2.99 KB)
📄
test-weof.c
(3 KB)
📄
test.sh
(3.7 KB)
📄
tinytest.c
(12.24 KB)
📄
tinytest.h
(4.22 KB)
📄
tinytest_local.h
(170 B)
📄
tinytest_macros.h
(7.29 KB)
Editing: rpcgen_wrapper.sh
#!/bin/sh # libevent rpcgen_wrapper.sh # Transforms event_rpcgen.py failure into success for make, only if # regress.gen.c and regress.gen.h already exist in $srcdir. This # is needed for "make distcheck" to pass the read-only $srcdir build, # as with read-only sources fresh from tarball, regress.gen.[ch] will # be correct in $srcdir but unwritable. This previously triggered # Makefile.am to create stub regress.gen.c and regress.gen.h in the # distcheck _build directory, which were then detected as leftover # files in the build tree after distclean, breaking distcheck. # Note that regress.gen.[ch] are not in fresh git clones, making # working Python a requirement for make distcheck of a git tree. exit_updated() { # echo "Updated ${srcdir}/regress.gen.c and ${srcdir}/regress.gen.h" exit 0 } exit_reuse() { echo "event_rpcgen.py failed, ${srcdir}/regress.gen.\[ch\] will be reused." >&2 exit 0 } exit_failed() { echo "Could not generate regress.gen.\[ch\] using event_rpcgen.sh" >&2 exit 1 } if [ -x /usr/bin/python2 ] ; then PYTHON2=/usr/bin/python2 elif [ "x`which python2`" != x ] ; then PYTHON2=python2 else PYTHON2=python fi srcdir=$1 srcdir=${srcdir:-.} ${PYTHON2} ${srcdir}/../event_rpcgen.py --quiet ${srcdir}/regress.rpc \ test/regress.gen.h test/regress.gen.c case "$?" in 0) exit_updated ;; *) test -r ${srcdir}/regress.gen.c -a -r ${srcdir}/regress.gen.h && \ exit_reuse exit_failed ;; esac
Upload File
Create Folder